Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Scheduling
Hooks
Risk
Platform
List an audience's contacts
GET
/v1/audiences/{id}/contacts
The audience's members, whatever their status, newest first.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe audience's id.
limit?integer1-100, default 50.
Range
1 <= value <= 100after?stringCursor: the id of the last item of the previous page.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of contacts.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.audiences.listContacts("aud_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "list", "data": [ { "object": "contact", "id": "contact_01k7c8m4q2f3e9v6t5r1n0p8yz", "email": "ada@example.com", "first_name": "Ada", "last_name": "Lovelace", "status": "subscribed", "properties": { "plan": "pro", "seats": 5 }, "source": "api", "subscribed_at": "2026-10-10T12:00:00.000Z", "unsubscribed_at": null, "confirmed_at": null, "created_at": "2026-10-10T12:00:00.000Z", "updated_at": "2026-10-10T12:00:00.000Z" } ], "has_more": false}